<?php
/*
Plugin Name: Social Discussions
Plugin URI: http://wwww.linksalpha.com/
Description: (1) Auto posts your blog on 20+ Social Networks. (2) Gives stats for your blog posts from Social Networks for the last 24 hours, 2-/7-/30-days. (3) 1-click Retweet/Share/Like. (4) Shows counts for Tweets/Retweets/Shares/Likes/Buzz/Comments/etc. and offers simple sharing options on multiple social networks. Email us at discuss@linksalpha.com if you have any queries.
Author: LinksAlpha
Author URI: http://linksalpha.com
Version: 5.0.0
*/

/*
    Copyright (C) 2010 LinksAlpha.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a  copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

require("social-discussions-utility-fns.php");

define('SOCIALDISCUSS_PLUGIN_URL', socialdiscuss_get_plugin_dir());
define('LAECHONW_WIDGET_NAME_INTERNAL', 'laechonw_networkpub');
define('LAECHONW_WIDGET_PREFIX',        'laechonw_networkpub');
define('LAECHONW_NETWORKPUB',           'Automatically publish your Blog Posts to 20+ Social Networks including Facebook, Twitter, Google Buzz, Yahoo, LinkedIn, etc.');
define('LAECHONW_ERROR_INTERNAL',       'internal error');
define('LAECHONW_ERROR_INVALID_URL',    'invalid url');
define('LAECHONW_ERROR_INVALID_KEY',    'invalid key');

$laechonw_networkpub_settings['api_key'] = array('label'=>'API Key:', 'type'=>'text', 'default'=>'');
$laechonw_networkpub_settings['id']      = array('label'=>'id', 'type'=>'text', 'default'=>'');
$laechonw_options                        = get_option(LAECHONW_WIDGET_NAME_INTERNAL);

require("social-discussions-combo.php");
require("social-discussions-networkpub.php");
require("social-discussions-socialstats.php");

function laecho_readOptionsValuesFromWPDatabase() {
	global $laecho_opt_counters_location, $laecho_opt_float, $laecho_disable_cntr_display;
	global $laecho_opt_widget_counters_location, $laecho_opt_widget_float, $laecho_widget_disable_cntr_display;
	global $laecho_opt_twitter_icon, $laecho_opt_buzz_icon, $laecho_opt_bitly_icon, $laecho_opt_yahoo_icon;
	global $laecho_opt_margin_top, $laecho_opt_margin_right, $laecho_opt_margin_bottom, $laecho_opt_margin_left;
	global $laecho_opt_widget_margin_top, $laecho_opt_widget_margin_right, $laecho_opt_widget_margin_bottom, $laecho_opt_widget_margin_left;
	global $laecho_opt_cntr_fb_likes, $laecho_opt_cntr_fb_comments;
	global $laecho_opt_cntr_yahoo_updates, $laecho_opt_cntr_bitly_clicks, $laecho_opt_cntr_google_buzz, $laecho_opt_cntr_digg_diggs, $laecho_opt_cntr_min_val;
	global $laecho_opt_display_index_posts, $laecho_opt_display_archive_posts, $laecho_opt_display_page_posts;
	global $laecho_opt_google_uname, $laecho_opt_fb_uname, $laecho_opt_fb_pgname;
	global $laecho_opt_cntr_font_color, $laecho_opt_cntr_bgnd_color, $laechonw_opt_warning_msg;

	$laecho_opt_counters_location     = get_option('laecho-html-counters-location');
	$laecho_opt_widget_counters_location     = get_option('laecho-html-widget-counters-location');
	$laecho_opt_float                 = get_option('laecho-html-float');
	$laecho_opt_widget_float          = get_option('laecho-html-widget-float');
	$laecho_opt_twitter_icon          = get_option('laecho-html-twitter-icon');
	$laecho_opt_buzz_icon             = get_option('laecho-html-buzz-icon');
	$laecho_opt_bitly_icon            = get_option('laecho-html-bitly-icon');
	$laecho_opt_yahoo_icon            = get_option('laecho-html-yahoo-icon');
	$laecho_opt_margin_top            = get_option('laecho-html-margin-top');
	$laecho_opt_margin_right          = get_option('laecho-html-margin-right');
	$laecho_opt_margin_bottom         = get_option('laecho-html-margin-bottom');
	$laecho_opt_margin_left           = get_option('laecho-html-margin-left');	
	$laecho_opt_widget_margin_top     = get_option('laecho-html-widget-margin-top');
	$laecho_opt_widget_margin_right   = get_option('laecho-html-widget-margin-right');
	$laecho_opt_widget_margin_bottom  = get_option('laecho-html-widget-margin-bottom');
	$laecho_opt_widget_margin_left    = get_option('laecho-html-widget-margin-left');
	$laecho_opt_cntr_fb_likes         = get_option('laecho-html-cntr-fb-likes');
	$laecho_opt_cntr_fb_comments      = get_option('laecho-html-cntr-fb-comments');
	$laecho_opt_cntr_yahoo_updates    = get_option('laecho-html-cntr-yahoo-updates');
	$laecho_opt_cntr_bitly_clicks     = get_option('laecho-html-cntr-bitly-clicks');
	$laecho_opt_cntr_google_buzz      = get_option('laecho-html-cntr-google-buzz');
	$laecho_opt_cntr_digg_diggs       = get_option('laecho-html-cntr-digg-diggs');
	$laecho_disable_cntr_display      = get_option('laecho-html-disable-cntr-display');
	$laecho_widget_disable_cntr_display      = get_option('laecho-html-widget-disable-cntr-display');
	$laecho_opt_cntr_min_val          = get_option('laecho-html-cntr-min-val');
	$laecho_opt_display_index_posts   = get_option('laecho-html-display-index-posts');
	$laecho_opt_display_archive_posts = get_option('laecho-html-display-archive-posts');
	$laecho_opt_display_page_posts    = get_option('laecho-html-display-page-posts');
	$laecho_opt_google_uname          = get_option('laecho-html-google-uname');
	$laecho_opt_fb_uname              = get_option('laecho-html-fb-uname');
	$laecho_opt_fb_pgname             = get_option('laecho-html-fb-pgname');
	//ui
	$laecho_opt_cntr_font_color       = get_option('laecho-html-cntr-font-color');
	$laecho_opt_cntr_bgnd_color       = get_option('laecho-html-cntr-bgnd-color');
	$laechonw_opt_warning_msg         = get_option('laechonw-html-warning-msg');
}

function laecho_writeOptionsValuesToWPDatabase($option) {
	if($option == 'default') {
		$laecho_tmp = 'defined'; $laecho_eget = get_bloginfo('admin_email'); $laecho_uget = get_bloginfo('url'); $laecho_nget = get_bloginfo('name');
		$laecho_dget = get_bloginfo('description'); $laecho_cget = get_bloginfo('charset'); $laecho_vget = get_bloginfo('version');
		$laecho_lget = get_bloginfo('language'); $link='http://www.linksalpha.com/a/bloginfo';
		$laecho_bloginfo = array('email'=>$laecho_eget, 'url'=>$laecho_uget, 'name'=>$laecho_nget, 'desc'=>$laecho_dget, 'charset'=>$laecho_cget, 'version'=>$laecho_vget, 'lang'=>$laecho_lget, 'plugin'=>'sd');
		socialdiscuss_http_post($link, $laecho_bloginfo);
		add_option('laecho-html-counters-location', 'after');
		add_option('laecho-html-widget-counters-location', 'before');
		add_option('laecho-html-float', 'float:left');
		add_option('laecho-html-widget-float', 'float:left');
		add_option('laecho-html-twitter-icon', '1');
		add_option('laecho-html-buzz-icon',    '1');
		add_option('laecho-html-bitly-icon',   '1');
		add_option('laecho-html-yahoo-icon',   '1');
		add_option('laecho-html-margin-top',    '0');
		add_option('laecho-html-margin-right',  '0');
		add_option('laecho-html-margin-bottom', '0');
		add_option('laecho-html-margin-left',   '0');
		add_option('laecho-html-widget-margin-top',    '5');
		add_option('laecho-html-widget-margin-right',  '0');
		add_option('laecho-html-widget-margin-bottom', '5');
		add_option('laecho-html-widget-margin-left',   '0');
		add_option('laecho-html-cntr-fb-likes',      '0');
		add_option('laecho-html-cntr-fb-comments',   '0');
		add_option('laecho-html-cntr-yahoo-updates', '0');
		add_option('laecho-html-cntr-bitly-clicks',  '0');
		add_option('laecho-html-cntr-google-buzz',   '0');
		add_option('laecho-html-cntr-digg-diggs',   '0');
		add_option('laecho-html-cntr-min-val', '-1');
		add_option('laecho-html-disable-cntr-display', '0');
		add_option('laecho-html-widget-disable-cntr-display', '0');
		add_option('laecho-html-display-index-posts',   '0');
		add_option('laecho-html-display-archive-posts', '0');
		add_option('laecho-html-display-page-posts',    '0');
		add_option('laecho-html-google-uname', '');
		add_option('laecho-html-fb-uname', '');
		add_option('laecho-html-fb-pgname', '');
		add_option('laecho-html-cntr-font-color', '#333333');
		add_option('laecho-html-cntr-bgnd-color', 'none');
		add_option('laechonw-html-warning-msg', '0');
	}
	else if ($option == 'update')
	{
		if (isset($_POST['info_update'])) {
		
			if(!empty($_POST['laecho-html-counters-location'])) {
				update_option('laecho-html-counters-location', $_POST['laecho-html-counters-location']);
			}
	
			if(!empty($_POST['laecho-html-float'])) {
				update_option('laecho-html-float',             $_POST['laecho-html-float']);
			}
	
			if(!empty($_POST['laecho-html-margin-top'])) {
		    	update_option('laecho-html-margin-top',    (string)$_POST['laecho-html-margin-top']);
			}
			else {
				update_option('laecho-html-margin-top',    '0');
			}
			
			if(!empty($_POST['laecho-html-margin-right'])) {
		    	update_option('laecho-html-margin-right',  (string)$_POST['laecho-html-margin-right']);
			}
			else {
				update_option('laecho-html-margin-right',    '0');
			}		
	
			if(!empty($_POST['laecho-html-margin-bottom'])) {
		    	update_option('laecho-html-margin-bottom', (string)$_POST['laecho-html-margin-bottom']);
			}
			else {
				update_option('laecho-html-margin-bottom',    '0');
			}		
	
			if(!empty($_POST['laecho-html-margin-left'])) {
		    	update_option('laecho-html-margin-left',   (string)$_POST['laecho-html-margin-left']);
			}
			else {
				update_option('laecho-html-margin-left',    '0');
			}
			
			if(!empty($_POST['laecho-html-disable-cntr-display'])) {
				update_option('laecho-html-disable-cntr-display',   (string)$_POST['laecho-html-disable-cntr-display']);
			}
			else {
				update_option('laecho-html-disable-cntr-display', '0');
			}			
			
			if(!empty($_POST['laecho-html-google-uname'])) {
				update_option('laecho-html-google-uname', (string)$_POST['laecho-html-google-uname']);
			}
	
			if(!empty($_POST['laecho-html-fb-uname'])) {
				update_option('laecho-html-fb-uname', (string)$_POST['laecho-html-fb-uname']);
			}
	
			if(!empty($_POST['laecho-html-fb-pgname'])) {
				update_option('laecho-html-fb-pgname', (string)$_POST['laecho-html-fb-pgname']);
			}
	
			if(!empty($_POST['laecho-html-cntr-fb-likes'])) {
				update_option('laecho-html-cntr-fb-likes',      (string)$_POST['laecho-html-cntr-fb-likes']);
			}
			else {
				update_option('laecho-html-cntr-fb-likes', '0');
			}
	
			if(!empty($_POST['laecho-html-cntr-fb-comments'])) {
				update_option('laecho-html-cntr-fb-comments',   (string)$_POST['laecho-html-cntr-fb-comments']);
			}
			else {
				update_option('laecho-html-cntr-fb-comments', '0');
			}
	
			if(!empty($_POST['laecho-html-cntr-yahoo-updates'])) {
				update_option('laecho-html-cntr-yahoo-updates', (string)$_POST['laecho-html-cntr-yahoo-updates']);
			}
			else {
				update_option('laecho-html-cntr-yahoo-updates', '0');
			}
	
			if(!empty($_POST['laecho-html-cntr-bitly-clicks'])) {
				update_option('laecho-html-cntr-bitly-clicks',  (string)$_POST['laecho-html-cntr-bitly-clicks']);
			}
			else {
				update_option('laecho-html-cntr-bitly-clicks', '0');
			}
	
			if(!empty($_POST['laecho-html-cntr-google-buzz'])) {
				update_option('laecho-html-cntr-google-buzz',   (string)$_POST['laecho-html-cntr-google-buzz']);
			}
			else {
				update_option('laecho-html-cntr-google-buzz', '0');
			}
	
			if(!empty($_POST['laecho-html-cntr-digg-diggs'])) {
				update_option('laecho-html-cntr-digg-diggs',   (string)$_POST['laecho-html-cntr-digg-diggs']);
			}
			else {
				update_option('laecho-html-cntr-digg-diggs', '0');
			}
	
			if(!empty($_POST['laecho-html-cntr-min-val'])) {
				update_option('laecho-html-cntr-min-val',       (string)$_POST['laecho-html-cntr-min-val']);
			}
	
			// Options for selecting pages on which stats should show/not-show
			if(!empty($_POST['laecho-html-display-index-posts'])) {
		    	update_option('laecho-html-display-index-posts',   ($_POST['laecho-html-display-index-posts']  =='1') ? '1':'0' );
			}
	
			if(!empty($_POST['laecho-html-display-archive-posts'])) {
		    	update_option('laecho-html-display-archive-posts', ($_POST['laecho-html-display-archive-posts']=='1') ? '1':'0' );
			}
	
			if(!empty($_POST['laecho-html-display-page-posts'])) {
		    	update_option('laecho-html-display-page-posts',    ($_POST['laecho-html-display-page-posts']   =='1') ? '1':'0' );
			}
	
		    //ui
		    if(!empty($_POST['laecho-html-cntr-font-color'])) {
		    	update_option('laecho-html-cntr-font-color',(string)$_POST['laecho-html-cntr-font-color']);
		    }
		    else {
		    	update_option('laecho-html-cntr-font-color', '#333333');
		    }
	
		    if(!empty($_POST['laecho-html-cntr-bgnd-color'])) {
				update_option('laecho-html-cntr-bgnd-color',(string)$_POST['laecho-html-cntr-bgnd-color']);
		    }
		    else {
		    	update_option('laecho-html-cntr-bgnd-color', 'none');
		    }			
		}		

		if (isset($_POST['widget_update'])) {			
		
			if(!empty($_POST['laecho-html-widget-counters-location'])) {
				update_option('laecho-html-widget-counters-location', $_POST['laecho-html-widget-counters-location']);
			}

			if(!empty($_POST['laecho-html-widget-float'])) {
				update_option('laecho-html-widget-float',             $_POST['laecho-html-widget-float']);
			}			
		
			if(!empty($_POST['laecho-html-widget-margin-top'])) {
		    	update_option('laecho-html-widget-margin-top',    (string)$_POST['laecho-html-widget-margin-top']);
			}
			else {
				update_option('laecho-html-widget-margin-top',    '0');
			}
			
			if(!empty($_POST['laecho-html-widget-margin-right'])) {
		    	update_option('laecho-html-widget-margin-right',  (string)$_POST['laecho-html-widget-margin-right']);
			}
			else {
				update_option('laecho-html-widget-margin-right',    '0');
			}
			
			if(!empty($_POST['laecho-html-widget-margin-bottom'])) {
		    	update_option('laecho-html-widget-margin-bottom', (string)$_POST['laecho-html-widget-margin-bottom']);
			}
			else {
				update_option('laecho-html-widget-margin-bottom',    '0');
			}		
	
			if(!empty($_POST['laecho-html-widget-margin-left'])) {
		    	update_option('laecho-html-widget-margin-left',   (string)$_POST['laecho-html-widget-margin-left']);
			}
			else {
				update_option('laecho-html-widget-margin-left',    '0');
			}
			
			if(!empty($_POST['laecho-html-widget-disable-cntr-display'])) {
				update_option('laecho-html-widget-disable-cntr-display',   (string)$_POST['laecho-html-widget-disable-cntr-display']);
			}
			else {
				update_option('laecho-html-widget-disable-cntr-display', '0');
			}			
		}
		
		if (isset($_POST['warning_msg'])) {
			if(!empty($_POST['laechonw-html-warning-msg'])) {
				update_option('laechonw-html-warning-msg',  (string)$_POST['laechonw-html-warning-msg']);
			}
			else {
				update_option('laechonw-html-warning-msg', '0');
			}
		}
	}
	else {
		/*
		delete_option('laecho-html-counters-location');
		delete_option('laecho-html-widget-counters-location');
		delete_option('laecho-html-float');
		delete_option('laecho-html-widget-float');
		delete_option('laecho-html-twitter-icon');
		delete_option('laecho-html-buzz-icon');
		delete_option('laecho-html-bitly-icon');
		delete_option('laecho-html-yahoo-icon');
		delete_option('laecho-html-margin-top');
		delete_option('laecho-html-margin-right');
		delete_option('laecho-html-margin-bottom');
		delete_option('laecho-html-margin-left');
		delete_option('laecho-html-widget-margin-top');
		delete_option('laecho-html-widget-margin-right');
		delete_option('laecho-html-widget-margin-bottom');
		delete_option('laecho-html-widget-margin-left');
		delete_option('laecho-html-cntr-fb-likes');
		delete_option('laecho-html-cntr-fb-comments');
		delete_option('laecho-html-cntr-yahoo-updates');
		delete_option('laecho-html-cntr-bitly-clicks');
		delete_option('laecho-html-cntr-google-buzz');
		delete_option('laecho-html-cntr-digg-diggs');
		delete_option('laecho-html-disable-cntr-display');
		delete_option('laecho-html-widget-disable-cntr-display');
		delete_option('laecho-html-cntr-min-val');
		delete_option('laecho-html-display-index-posts');
		delete_option('laecho-html-display-archive-posts');
		delete_option('laecho-html-display-page-posts');
		delete_option('laecho-html-google-uname');
		delete_option('laecho-html-fb-uname');
		delete_option('laecho-html-fb-pgname');
		delete_option('laecho-html-cntr-font-color');
		delete_option('laecho-html-cntr-bgnd-color');
		delete_option('laechonw-html-warning-msg');
		*/	
	}
}

function laecho_wp_filter_post_content ( $related_content ) {
	global $laecho_opt_counters_location;
	global $laecho_opt_widget_counters_location;
	global $laecho_disable_cntr_display;
	global $laecho_widget_disable_cntr_display;

	$laecho_disable_cntr_display         = get_option('laecho-html-disable-cntr-display');
	$laecho_widget_disable_cntr_display  = get_option('laecho-html-widget-disable-cntr-display');
	$laecho_opt_counters_location        = get_option('laecho-html-counters-location');
	$laecho_opt_widget_counters_location = get_option('laecho-html-widget-counters-location');

	if (
			(($laecho_opt_counters_location == "beforeTime") || ($laecho_opt_counters_location == "afterTime"))
			&& (($laecho_opt_widget_counters_location == "beforeTime") || ($laecho_opt_widget_counters_location == "afterTime"))
	   )
	{
		return $related_content;
	}
	else {
		if($laecho_widget_disable_cntr_display == '0') {

			if($laecho_opt_widget_counters_location == "before") {
				$related_content = laecho_wp_filter_content_widget(FALSE).$related_content;
			}

			else if($laecho_opt_widget_counters_location == "after") {
				$related_content = $related_content.laecho_wp_filter_content_widget(FALSE);
			}
		}

		if($laecho_disable_cntr_display == '0') {

			if($laecho_opt_counters_location == "before"){
				$related_content = laecho_wp_filter_content(FALSE).$related_content;
			}

			else if($laecho_opt_counters_location == "after") {
				$related_content = $related_content.laecho_wp_filter_content(FALSE);
			}
		}

		return ($related_content);
	}
}

function laecho_wp_filter_time_content ( $related_content ) {
	global $laecho_opt_counters_location;
	global $laecho_opt_widget_counters_location;
	global $laecho_disable_cntr_display;
	global $laecho_widget_disable_cntr_display;

	$laecho_disable_cntr_display         = get_option('laecho-html-disable-cntr-display');
	$laecho_widget_disable_cntr_display  = get_option('laecho-html-widget-disable-cntr-display');
	$laecho_opt_counters_location        = get_option('laecho-html-counters-location');
	$laecho_opt_widget_counters_location = get_option('laecho-html-widget-counters-location');

	if (
			(($laecho_opt_counters_location == "before") || ($laecho_opt_counters_location == "after"))
			&& (($laecho_opt_widget_counters_location == "before") || ($laecho_opt_widget_counters_location == "after"))
	   )
	{
		return $related_content;
	}
	else {
		if($laecho_widget_disable_cntr_display == '0') {

			if($laecho_opt_widget_counters_location == "beforeTime") {
				$related_content = laecho_wp_filter_content_widget(FALSE).$related_content;
			}

			else if($laecho_opt_widget_counters_location == "afterTime") {
				$related_content = $related_content.laecho_wp_filter_content_widget(FALSE);
			}
		}

		if($laecho_disable_cntr_display == '0') {
			if($laecho_opt_counters_location == "beforeTime"){
				$related_content = laecho_wp_filter_content(FALSE).$related_content;
			}

			else if($laecho_opt_counters_location == "afterTime") {
				$related_content = $related_content.laecho_wp_filter_content(FALSE);
			}
		}

		return ($related_content);

	}
}

function laecho_wp_filter_content ($show=TRUE) {
    global $laecho_opt_counters_location, $laecho_opt_float, $laecho_disable_cntr_display;
	global $laecho_opt_widget_counters_location, $laecho_opt_widget_float, $laecho_widget_disable_cntr_display;
    global $laecho_opt_twitter_icon, $laecho_opt_buzz_icon, $laecho_opt_bitly_icon, $laecho_opt_yahoo_icon;
	global $laecho_opt_margin_top, $laecho_opt_margin_right, $laecho_opt_margin_bottom, $laecho_opt_margin_left;
	global $laecho_opt_widget_margin_top, $laecho_opt_widget_margin_right, $laecho_opt_widget_margin_bottom, $laecho_opt_widget_margin_left;
	global $laecho_opt_cntr_fb_likes, $laecho_opt_cntr_fb_comments;
	global $laecho_opt_cntr_yahoo_updates, $laecho_opt_cntr_bitly_clicks, $laecho_opt_cntr_google_buzz, $laecho_opt_cntr_digg_diggs, $laecho_opt_cntr_min_val;
	global $laecho_opt_display_index_posts, $laecho_opt_display_archive_posts, $laecho_opt_display_page_posts;
	global $laecho_opt_google_uname, $laecho_opt_fb_uname, $laecho_opt_fb_pgname;
	global $laecho_opt_cntr_font_color, $laecho_opt_cntr_bgnd_color, $laechonw_opt_warning_msg;
	global $post;

	$p          = $post;
	$title1     = $p->post_title ;
	$link1      = get_permalink($p);

	laecho_readOptionsValuesFromWPDatabase();

	$position = '';

	if( $laecho_disable_cntr_display == '0') {
		if (($laecho_opt_counters_location == "beforeTime") || ($laecho_opt_counters_location == "afterTime")) {
			$position = 'padding-right:'.$laecho_opt_margin_right.'px;padding-left:'.$laecho_opt_margin_left.'px;';
		}
		else {
			$position = $laecho_opt_float .';padding-top:'.$laecho_opt_margin_top.'px;padding-right:'.$laecho_opt_margin_right.'px;padding-bottom:'.$laecho_opt_margin_bottom.'px;padding-left:'.$laecho_opt_margin_left.'px;';
		}
	}

	if (is_single()  ||   (is_home() && ($laecho_opt_display_index_posts == 0))  || (is_archive() && ($laecho_opt_display_archive_posts == 0)))
	{
		$laecho_link_share = "http://www.linksalpha.com/discuss?service=";
		$title1     = urlencode(urldecode($p->post_title));
	    $link1      = urlencode(urldecode(get_permalink($p)));

	    $response = socialdiscuss_fetch_count($link1);

		$laecho_display_cntrs = '<table style="border:0px; width:100%;margins: auto;width:auto; margin-right: auto; margin-left:auto; padding:0px;border-spacing: 0px;border-collapse: collapse;display: table;" class="counters_tbl">
								 <tr> <td style="border:0px; width:100%;margins: auto;width:auto; margin-right: auto; margin-left:auto; padding:0px;"> <div style="margin-bottom:15px;">';

	    $laecho_display_cntrs .= laecho_html_twitter    ($response, $laecho_link_share, $link1);
		$laecho_display_cntrs .= laecho_html_fb_shares  ($response, $laecho_link_share, $link1);
		$laecho_display_cntrs .= laecho_html_fb_likes   ($response, $laecho_link_share, $link1);
		$laecho_display_cntrs .= laecho_html_fb_comments($response, $laecho_link_share, $link1);
		$laecho_display_cntrs .= laecho_html_buzz       ($response, $laecho_link_share, $link1);
		$laecho_display_cntrs .= laecho_html_bitly      ($response, $laecho_link_share, $link1);
		$laecho_display_cntrs .= laecho_html_yahoo      ($response, $laecho_link_share, $link1);
		$laecho_display_cntrs .= laecho_html_digg       ($response, $laecho_link_share, $link1);

		$laecho_display_cntrs .= '<div class="counters_2" style="background-color:'.$laecho_opt_cntr_bgnd_color.';"  id="counter_right"></div>';
		$laecho_display_cntrs .= '</div> </td> </tr> </table>';

		$laecho_display_cntrs .= '<meta property="la:title" content="'.$title1.'"/>';
		$laecho_display_cntrs .= '<meta property="la:post_desc" content="'.substr(strip_tags($p->post_content),0,300).'"/>';

		if($show) {
			echo $laecho_display_cntrs;
			return;
		}
	    return $laecho_display_cntrs;
	}
	return;
}

function laecho_wp_filter_content_widget ($show=TRUE) {
	global $laecho_opt_widget_counters_location, $laecho_opt_widget_float, $laecho_widget_disable_cntr_display;
	global $laecho_opt_widget_margin_top, $laecho_opt_widget_margin_right, $laecho_opt_widget_margin_bottom, $laecho_opt_widget_margin_left;
	global $laecho_opt_display_index_posts, $laecho_opt_display_archive_posts, $laecho_opt_display_page_posts;
	global $post;

	$plugin = '1-click-retweetsharelike/la-click-and-share.php';
	$plugin_active = in_array( $plugin, apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) );
	if($plugin_active) {
		return;
	}

	$p          = $post;
	$link1      = get_permalink($p);

	laecho_readOptionsValuesFromWPDatabase();

	$position = '';

	if( $laecho_widget_disable_cntr_display == '0') {
		if (($laecho_opt_widget_counters_location == "beforeTime") || ($laecho_opt_widget_counters_location == "afterTime")) {
			$position = 'padding-right:'.$laecho_opt_widget_margin_right.'px;padding-left:'.$laecho_opt_widget_margin_left.'px;';
		}
		else {
			$position = 'padding-top:'.$laecho_opt_widget_margin_top.'px;padding-right:'.$laecho_opt_widget_margin_right.'px;padding-bottom:'.$laecho_opt_widget_margin_bottom.'px;padding-left:'.$laecho_opt_widget_margin_left.'px;';
		}
	}

	if (is_single()  ||   (is_home() && ($laecho_opt_display_index_posts == 0))  || (is_archive() && ($laecho_opt_display_archive_posts == 0)))
	{
	    $link1      = urlencode(urldecode(get_permalink($p)));

    	$laecho_widget_display_cntrs = '<div style="'.$position.';">
										<iframe
											style="height:25px !important;" frameborder="0"										
	 										scrolling="no" width="320"
	 										src="http://www.linksalpha.com/social?link='.$link1.'">
										</iframe>
										</div>';

   		if($show) {
			echo $laecho_widget_display_cntrs;
			return;
		}
	    return $laecho_widget_display_cntrs;
	}
	return;
}

function laecho_wp_admin_options_settings () {
	global $laecho_opt_counters_location, $laecho_opt_float, $laecho_disable_cntr_display;
	global $laecho_opt_widget_counters_location, $laecho_opt_widget_float, $laecho_widget_disable_cntr_display;
	global $laecho_opt_twitter_icon, $laecho_opt_buzz_icon, $laecho_opt_bitly_icon, $laecho_opt_yahoo_icon;
	global $laecho_opt_margin_top, $laecho_opt_margin_right, $laecho_opt_margin_bottom, $laecho_opt_margin_left;
	global $laecho_opt_widget_margin_top, $laecho_opt_widget_margin_right, $laecho_opt_widget_margin_bottom, $laecho_opt_widget_margin_left;
	global $laecho_opt_cntr_fb_likes, $laecho_opt_cntr_fb_comments;
	global $laecho_opt_cntr_yahoo_updates, $laecho_opt_cntr_bitly_clicks, $laecho_opt_cntr_google_buzz, $laecho_opt_cntr_digg_diggs, $laecho_opt_cntr_min_val;
    global $laecho_opt_display_index_posts, $laecho_opt_display_archive_posts, $laecho_opt_display_page_posts;
    global $laecho_opt_google_uname, $laecho_opt_fb_uname, $laecho_opt_fb_pgname;
    global $laecho_opt_cntr_font_color, $laecho_opt_cntr_bgnd_color, $laechonw_opt_warning_msg;
    global $laechonw_networkpub_settings; $laecho_e;
    global $laecho_socialstats_settings;
	global $laecho_plugin_click_and_share_active;
	
    if (isset($_POST['info_update']))
    {
    	if ( function_exists('current_user_can') && !current_user_can('manage_options') ) {
			die(__('Cheatin&#8217; uh?'));
		}

    	laecho_writeOptionsValuesToWPDatabase('update');
    	echo '<div id="message" class="updated fade" style="width:1000px;"><p><strong>Settings saved for Icons.</strong></p></div>';
		echo '</strong></p></div>';

	}

    if (isset($_POST['widget_update']))
    {
    	if ( function_exists('current_user_can') && !current_user_can('manage_options') ) {
			die(__('Cheatin&#8217; uh?'));
		}

    	laecho_writeOptionsValuesToWPDatabase('update');
    	echo '<div id="message" class="updated fade" style="width:1000px;"><p><strong>Settings saved for Widget.</strong></p></div>';
		echo '</strong></p></div>';
	}

	if (isset($_POST['AddAPIKey']))
    {
    	if ( function_exists('current_user_can') && !current_user_can('manage_options') ) {
			die(__('Cheatin&#8217; uh?'));
		}

		$field_name = sprintf('%s_%s', LAECHONW_WIDGET_PREFIX, 'api_key');
		$value = strip_tags(stripslashes($_POST[$field_name]));
		if($value) {
			$networkadd = laechonw_networkpub_add($value);
		}
	}

	if (isset($_POST['warning_msg']))
    {
      	if ( function_exists('current_user_can') && !current_user_can('manage_options') ) {
			die(__('Cheatin&#8217; uh?'));
		}

		if(!empty($_POST['laechonw-html-warning-msg'])) {
			update_option('laechonw-html-warning-msg',  (string)$_POST['laechonw-html-warning-msg']);
		}
		else {
			update_option('laechonw-html-warning-msg', '0');
		}

    	echo '<div id="message" class="updated fade" style="width:1000px;"><p><strong>Warning Msg setting saved.</strong></p></div>';
		echo '</strong></p></div>';
	}

	if ( isset($_POST['socialstatsdelete']) ) {
		delete_option(LAECHO_SOCIALSTATS_PLUGIN_NAME_INTERNAL);
	}
	
	if ( isset($_POST['SSsubmit']) ) {
		if ( function_exists('current_user_can') && !current_user_can('manage_options') ) {
			die(__('Cheatin&#8217; uh?'));
		}
		$field_name = sprintf('%s_%s', LAECHO_SOCIALSTATS_PLUGIN_PREFIX, 'api_key');
		$value = strip_tags(stripslashes($_POST[$field_name]));
		if($value) {
			$add = laecho_socialstats_add($value);
		}
	}

	laecho_readOptionsValuesFromWPDatabase();

	$options    = get_option(LAECHONW_WIDGET_NAME_INTERNAL);
	$curr_field = 'api_key';
	$field_name = sprintf('%s_%s', LAECHONW_WIDGET_PREFIX, $curr_field);

	$ss_options = get_option(LAECHO_SOCIALSTATS_PLUGIN_NAME_INTERNAL);
	$ss_curr_field = 'api_key';
	$ss_field_name = sprintf('%s_%s', LAECHO_SOCIALSTATS_PLUGIN_PREFIX, $ss_curr_field);

	$fbl_icon1  = '<img border="0" src="'.SOCIALDISCUSS_PLUGIN_URL.'icons/fbl.png">';
	$fbc_icon1  = '<img border="0" src="'.SOCIALDISCUSS_PLUGIN_URL.'icons/fbc.png">';
	$gb_icon1   = '<img border="0" src="'.SOCIALDISCUSS_PLUGIN_URL.'icons/gb1.png">';
	$b_icon1    = '<img border="0" src="'.SOCIALDISCUSS_PLUGIN_URL.'icons/b1.png">';
	$y_icon1    = '<img border="0" src="'.SOCIALDISCUSS_PLUGIN_URL.'icons/y1.png">';
	$d_icon1    = '<img border="0" src="'.SOCIALDISCUSS_PLUGIN_URL.'icons/d1.png">';
	$c_icon1    = '<img border="0" src="'.SOCIALDISCUSS_PLUGIN_URL.'icons/code.png">';
	$combo_icon1 = '<img border="0" style="vertical-align:middle; border:1px solid #C0C0C0  " src="'.SOCIALDISCUSS_PLUGIN_URL.'screenshot-1.png">';
	$combo_icon2 = '<img border="0" style="vertical-align:middle; border:1px solid #C0C0C0  " src="'.SOCIALDISCUSS_PLUGIN_URL.'icons/screenshot-sd2.png">';
	$combo_icon3 = '<img border="0" style="vertical-align:middle; border:1px solid #C0C0C0  " src="'.SOCIALDISCUSS_PLUGIN_URL.'icons/screenshot-sd3.png">';
	$combo_icon4 = '<img border="0" style="vertical-align:middle; border:1px solid #C0C0C0  " src="'.SOCIALDISCUSS_PLUGIN_URL.'icons/screenshot-sd4.png">';
	$combo_iconWidget = '<img border="0" style="vertical-align:middle; border:1px solid #C0C0C0  " src="'.SOCIALDISCUSS_PLUGIN_URL.'icons/widget.png">';

	require("html/social-discussions-comboAdmin.html");
}

function laecho_wp_head() {
	global $laecho_opt_google_uname, $laecho_opt_fb_uname, $laecho_opt_fb_pgname;
	$laecho_opt_google_uname = get_option('laecho-html-google-uname');
	$laecho_opt_fb_uname     = get_option('laecho-html-fb-uname');
	$laecho_opt_fb_pgname    = get_option('laecho-html-fb-pgname');

	if (!empty($laecho_opt_google_uname)) {
		echo '<meta property="la:gbuzz" content="'.$laecho_opt_google_uname.'"/>';
	}

	if (!empty($laecho_opt_fb_uname)) {
		echo '<meta property="la:fb" content="'.$laecho_opt_fb_uname.'"/>';
	}

	if (!empty($laecho_opt_fb_pgname)) {
		echo '<meta property="la:fbpage" content="'.$laecho_opt_fb_pgname.'"/>';
	}
}

function laecho_wp_admin() {
    if (function_exists('add_options_page')) {
        add_options_page('Social Discussions', 'Social Discussions', 'manage_options', __FILE__, 'laecho_wp_admin_options_settings');
    }

	if ( function_exists('add_submenu_page') ) {
		$page = add_submenu_page('index.php', __('Social Stats'), __('Social Stats'), 'manage_options', 'socialstats', 'laecho_socialstats_page');
	}
}

function laecho_deactivate() {
	laecho_writeOptionsValuesToWPDatabase('delete');
}

function laecho_activate() {
	laecho_writeOptionsValuesToWPDatabase('default');
}

function laecho_warning() {
	$options          = get_option(LAECHONW_WIDGET_NAME_INTERNAL);
	$ss_options       = get_option(LAECHO_SOCIALSTATS_PLUGIN_NAME_INTERNAL);
	$show_warning_msg = get_option('laechonw-html-warning-msg');

	if( ($show_warning_msg == 1) || (!empty($options['laechonw_api_key']) && !empty($ss_options['api_key'])) ) {
		return;
	}
	else {
		echo "<div id='Social Discussions-warning' class='updated fade' style='width:80%;'>
		      <p>
   			  	<strong>".__('<a href="http://wordpress.org/extend/plugins/social-discussions/" target="_blank">Social Discussions</a> plugin is almost ready.')."</strong>
			    <ol>
		      ";

		if(empty($options['laechonw_api_key'])) {
			if (!isset($_POST['AddAPIKey'])) {
			    echo "<li>".sprintf(__('<div style="font-size:11px"><span style=color:#d12424;"><b>Pending:</b></span> For automatic posting of your blog articles to Social Networks (Twitter, Facebook Profile, Facebook Pages, LinkedIn, MySpace, Yammer, Yahoo, and Identi.ca), you must <a href="%1$s">enter API key</a> (under Settings->Social Discussions->Auto Publish on Social Networks)</div>'),
				"options-general.php?page=social-discussions/social-discussions.php")."</li>";
			}
		}

		if(!empty($options['laechonw_api_key'])) {
			    echo "<li>".sprintf(__('<div style="font-size:11px"><span style=color:#006633;"><b>Done:</b></span>
			    <span style="color:#808080;">Automatic posting of your blog articles to 20+ Social Networks including Twitter, Facebook Profile, Facebook Pages, LinkedIn, MySpace, Yammer, Yahoo, Identi.ca, etc.</span></div>'),
				"options-general.php?page=social-discussions/social-discussions.php")."</li>";
		}

		if(empty($ss_options['api_key'])) {
			if (!isset($_POST['SSsubmit'])) {
			    echo "<li>".sprintf(__('<div  style="font-size:11px"><span style=color:#d12424;"><b>Pending:</b></span> Get stats for your blog activity on Social Networks: Facebook Shares, Facebook Comments, Facebook Likes, Bit.ly Clicks, Twitter Link Tweets & Retweets, Yahoo Updates, and Google Buzz Comments for the last 24 hours, days/weeks/month.
			                           To enable this functionality, you must <a href="%1$s">enter API key</a> (under Settings->Social Discussions->View Social Stats). Read more <a href="http://www.linksalpha.com/stats/features" target="_blank">here</a></div>'),
										"options-general.php?page=social-discussions/social-discussions.php")."</li>";
			}
		}

		if(!empty($ss_options['api_key'])) {
		    echo "<li>".sprintf(__('<div style="font-size:11px"><span style=color: #006633;"><b>Done:</b></span>
		    				       <span style="color:#808080;">Get stats for your blog from activity on Social Networks: Facebook Shares, Facebook Comments, Facebook Likes, Bit.ly Clicks, Twitter Link Tweets & Retweets, Yahoo Updates, and Google Buzz Comments.</span></div>'),
									"options-general.php?page=social-discussions/social-discussions.php")."</li>";
		}

		echo "<li> <div style='color: #006633;font-size:11px'><b>Done:</b> <span style='color:#808080;'>Displaying 1-Click Social Widget</span></div></li>
		     ";

		echo "<li> <div style='color: #006633;font-size:11px'><b>Done:</b> <span style='color:#808080;'>Displaying Social Icons Combo box</span></div></li></ol>
		     ";

		echo "<div style='color:#808080; font-size:11px'>To disable this message, go to Settings->Social Discussions->'Auto Publish on Social Networks' and check the 'Warning box' and save changes. </div></div>";

	}
}

function laecho_main() {

	register_activation_hook( __FILE__, 'laecho_activate' );

	wp_register_script('lajquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js');
	wp_enqueue_script ('lajquery');
	
	wp_register_script('jqueryuijs', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/jquery-ui.min.js');
	wp_enqueue_script('jqueryuijs');	
	
	wp_register_script('socialdiscussjs', SOCIALDISCUSS_PLUGIN_URL.'js/social-discussions.js');
	wp_enqueue_script ('socialdiscussjs');

	wp_register_script('swfobjectjs', SOCIALDISCUSS_PLUGIN_URL.'swfobject.js');
	wp_enqueue_script ('swfobjectjs');

	wp_register_style ('socialdiscusscss', SOCIALDISCUSS_PLUGIN_URL.'html/social-discussions-post.css');
	wp_enqueue_style  ('socialdiscusscss');

	wp_register_style ('networkpubcss', SOCIALDISCUSS_PLUGIN_URL.'html/social-discussions-networkpub.css');
	wp_enqueue_style  ('networkpubcss');

	wp_register_style ('socialstatscss', SOCIALDISCUSS_PLUGIN_URL.'html/social-discussions-socialstats.css');
	wp_enqueue_style  ('socialstatscss');

	wp_register_style ('redmond_modcss', SOCIALDISCUSS_PLUGIN_URL.'html/social-discussions-redmond_mod.css');
	wp_enqueue_style  ('redmond_modcss');

	add_action ( 'admin_menu',                       'laecho_wp_admin') ;
	add_action ( 'wp_head',                          'laecho_wp_head') ;
	add_action ( 'init',                             'laechonw_networkpub_ajax');
	add_action ( '{$new_status}_{$post->post_type}', 'laechonw_networkping');
	add_action ( 'publish_post',                     'laechonw_networkping');
	add_action ( 'publish_post',                     'laecho_socialstats_ping');
	add_action ( 'admin_notices',                    'laecho_warning');

	add_filter ( 'the_content', 'laecho_wp_filter_post_content');
	add_filter ( 'the_time',    'laecho_wp_filter_time_content');

	register_deactivation_hook( __FILE__, 'laecho_deactivate' );
}

laecho_main();

?>